
Redmine - Defect #20736

production configuration not read from database.yml

2015-09-13 18:00 - Miroslav Zaťko

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.0

Description

I have strange problem with configuration of 3.1-stable in file database.yml there are 3 exactly same configurations:

production,development & test

If I print out content of database_config after read from file in <redmineroot>/Gemfile, there are test & development configurations

read from config/database.yml nothing for production. {"production"=>nil, "development"=>{"adapter"=>"postgresql",

"database"=>"redmine_dev", "host"=>"localhost", "username"=>"redmine", "password"=>"redmine"},

"test"=>{"adapter"=>"postgresql", "database"=>"redmine_test", "host"=>"localhost", "username"=>"redmine",

"password"=>"redmine"}}

I'm trying to run

bundle install --without development test

History

#1 - 2015-09-13 18:38 - Miroslav Zaťko

- Status changed from New to Resolved

Was my fault... I left uncommented "production:" line at end of file... :(

#2 - 2015-09-14 02:57 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.

Closing.
